classification
Title: Failure to build on AIX 5.3
Type: compile error Stage: resolved
Components: Build Versions: Python 2.6
process
Status: closed Resolution: rejected
Dependencies: Superseder:
Assigned To: Nosy List: ajaksu2, tiriss
Priority: low Keywords:

Created on 2007-04-04 17:34 by tiriss, last changed 2009-05-16 22:03 by ajaksu2. This issue is now closed.

Messages (2)
msg31701 - (view) Author: Jaman Swearingen (tiriss) Date: 2007-04-04 17:34
AIX 5.3.0.0 gcc 4.0.0 tk8.4 tcl8.4 xlc_r 6.0.0 cc_r 6.0.0

Regardless of which of the compilers I use gcc, xlc_r, or cc_r, I get the following error after I hit make:

creating build/temp.aix-5.3-2.5/opt/freeware/src/packages/Python-2.5/Modules
gcc -pthread -fno-strict-aliasing -DNDEBUG -g -O3 -Wall -Wstrict-prototypes -I. -I/opt/freeware/src/packages/Python-2.5/./Include -I./Include -I. -I/usr/local/include -I/opt/freeware/src/packages/Python-2.5/Include -I/opt/freeware/src/packages/Python-2.5 -c /opt/freeware/src/packages/Python-2.5/Modules/_struct.c -o build/temp.aix-5.3-2.5/opt/freeware/src/packages/Python-2.5/Modules/_struct.o
creating build/lib.aix-5.3-2.5
./Modules/ld_so_aix gcc -pthread -bI:Modules/python.exp build/temp.aix-5.3-2.5/opt/freeware/src/packages/Python-2.5/Modules/_struct.o -L/usr/local/lib -lpython2.5 -o build/lib.aix-5.3-2.5/_struct.so
collect2: library libpython2.5 not found
*** WARNING: renaming "_struct" since importing it failed:      0509-022 Cannot load module build/lib.aix-5.3-2.5.
        0509-026 System error: A file or directory in the path name does not exist.
error: No such file or directory

For some reason when I use xlc_r or gcc, it fails to find the local libpython2.5.a library that is residing in the current directory.  When I use cc_r, it fails to  find libtcl8.4.so and libtk8.4.so even though there are copies of those in the local . directory.

Any help would be appreciated.  Here are the configures I used:

./configure --with-gcc="xlc_r -q64" --with-cxx="xlC_r -q64" \
         --disable-ipv6 AR="ar -X64" --enable-shared

or 
./configure --with-gcc --with-cxx=g++ \
            --disable-ipv6 --enable-shared

or
configure --disable-ipv6

Let me know if there is other information you need.
msg84708 - (view) Author: Daniel Diniz (ajaksu2) (Python triager) Date: 2009-03-30 23:13
Jaman: is this still a problem for you? If not (and nobody else
opposes), I'll close this one.
History
Date User Action Args
2009-05-16 22:03:55ajaksu2setstatus: closed
2009-04-25 21:39:06ajaksu2setstatus: pending -> (no value)
resolution: rejected
stage: test needed -> resolved
2009-03-30 23:13:47ajaksu2setstatus: open -> pending
priority: normal -> low
type: compile error

components: + Build, - None
versions: + Python 2.6
nosy: + ajaksu2

messages: + msg84708
stage: test needed
2007-04-04 17:34:41tirisscreate